com.fasterxml.jackson.databind.jsonFormatVisitors

## Interface JsonMapFormatVisitor

- All Superinterfaces:
    JsonFormatVisitorWithSerializerProvider
  All Known Implementing Classes:
    JsonMapFormatVisitor.Base

      public interface JsonMapFormatVisitor
      extends JsonFormatVisitorWithSerializerProvider

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JsonMapFormatVisitor.Base` Default "empty" implementation, useful as the base to start on; especially as it is guaranteed to implement all the method of the interface, even if new methods are getting added.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `keyFormat(JsonFormatVisitable handler, JavaType keyType)` Visit method called to indicate type of keys of the Map type being visited
    `void` | `valueFormat(JsonFormatVisitable handler, JavaType valueType)` Visit method called after `keyFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.JavaType)` to allow visiting of the value type

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWithSerializerProvider

      `getProvider, setProvider`

- - ### Method Detail

    - #### keyFormat

          void keyFormat(JsonFormatVisitable handler,
                         JavaType keyType)
                  throws JsonMappingException

      Visit method called to indicate type of keys of the Map type being visited
      Throws:
        `JsonMappingException`

    - #### valueFormat

          void valueFormat(JsonFormatVisitable handler,
                           JavaType valueType)
                    throws JsonMappingException

      Visit method called after `keyFormat(com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, com.fasterxml.jackson.databind.JavaType)` to allow visiting of the value type
      Throws:
        `JsonMappingException`

Copyright © 2008–2020 FasterXML. All rights reserved.